<?php
class tx_mageconnect_userauth {
	
	/**
	 * Log out current user!
	 * Removes the current session record, sets the internal ->user array to a blank string; Thereby the current user (if any) is effectively logged out!
	 *
	 * @return	void
	 */
	function main() 
	{
		if($this->_getParam('logintype') == 'logout') {
			
			if ($this->_getParam('single') != 'true') {
				if ($this->_getParam('redir') == 'mage') {
					$this->_redirectMagentoLogout();
				} else {
					$this->_redirectMagentoLogout('?redir=t3');
				}
			}	
		}
	}
	
	/**
	 * _getModuleConfig
	 * Gets Module Config for MAGEconnect
	 * 
	 * @param string $key
	 * @return string|bool
	 */
	function _getModuleConfig($key = '')
	{
		$modConfigArray = unserialize( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['mageconnect'] );
		if ($modConfigArray[$key])
		{
			return $modConfigArray[$key];
		}
		return false;
	}
	
	/**
	 * _redirectMagentoLogout
	 * Redirects to magento logout url
	 * 
	 */
	function _redirectMagentoLogout($params = '')
	{
		$url = $this->_getModuleConfig('magento_url') . 'customer/account/logout/' . $params;
		header('location: ' . $url);	
	}
	
	/**
	 * _getParam
	 * Gets an parameter 
	 * 
	 * @param string Parameter
	 * @return string|bool
	 * 
	 */	
	function _getParam($parameter)
	{
		if (t3lib_div::_GP($parameter) && $parameter != '')	
			return t3lib_div::_GP($parameter);
			
		return false;	
	}
	
}
